org.eclipse.emf.cdo.spi.server

## Interface InternalTransaction

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOCommonTransaction, CDOCommonView, CDOLockOwner, CDORevisionProvider, CDOTimeProvider, Closeable, IAdaptable, IDeactivateable, ILifecycle, INotifier, InternalView, IOptionsContainer, IPropertiesContainer, ITransaction, IView

      public interface InternalTransaction
      extends ITransaction, InternalView

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InternalTransaction.CommitAttempt`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `CDOCommonView.Options`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalCommitContext` | `createCommitContext()`
    `InternalTransaction.CommitAttempt` | `getLastCommitAttempt()`
    `void` | `setLastCommitAttempt(InternalTransaction.CommitAttempt lastCommitAttempt)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.server.InternalView

      `changeTarget, clearChangeSubscription, closeUnit, doClose, getRepository, getSession, hasSubscription, isInOpenUnit, openUnit, setBranchPoint, setDurableLockingID, subscribe, unsubscribe`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `getDurableLockingID, getViewID, isHistorical, isReadOnly, options`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockOwner

      `getSessionID, isDurableView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### createCommitContext

          InternalCommitContext createCommitContext()

    - #### getLastCommitAttempt

          InternalTransaction.CommitAttempt getLastCommitAttempt()

      Since:
        4.5

    - #### setLastCommitAttempt

          void setLastCommitAttempt(InternalTransaction.CommitAttempt lastCommitAttempt)

      Since:
        4.5

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html